PostgreSQL à 9.0.18/9.1.14/9.2.9/9.3.5/9.4.0 to_char buffer overflow

CVSS Score de méta-températureExploit Prix Actuel (≈)Score d'intérêt CTI
7.1$0-$5k0.00

Une vulnérabilité qui a été classée problématique a été trouvée dans PostgreSQL à 9.0.18/9.1.14/9.2.9/9.3.5/9.4.0 (Database Software). Affecté par cette vulnérabilité est la fonction to_char. A cause de la manipulation avec une valeur d'entrée inconnue mène à une vulnérabilité de classe buffer overflow.

La vulnerabilité a été publié en 05/02/2015 par Bruce Momjian avec le numéro d'identification News ID 1569 avec news (Website) (confirmé). La notice d'information est disponible en téléchargement sur postgresql.org Cette vulnérabilité est connue comme CVE-2015-0241. L'attaque peut être lancée à distance. Une seule session d'authentification est requise pour l'exploitation. Les détails technniques sont connus, mais aucun exploite n'est disponible.

Le scanner de vulnérabilités Nessus propose un module ID 81193 (FreeBSD : PostgreSQL -- multiple buffer overflows and memory issues (3b40bf2c-ad83-11e4-a2b2-0026551a22dc)), lequel aide à déterminer l'existence d'une faille dans l'environnement-cible.

Mettre à jour à la version 9.0.19, 9.1.15, 9.2.10, 9.3.6 ou 9.4.1 élimine cette vulnérabilité.

La vulnérabilité est aussi documentée dans les base de données X-Force (100777) et Tenable (81193).

Produitinfo

Taper

Nom

Version

Licence

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vecteur: 🔍
VulDB Fiabilité: 🔍

CVSSv3info

VulDB Score méta-base: 7.5
VulDB Score de méta-température: 7.1

VulDB Note de base: 6.3
VulDB Note temporaire: 5.5
VulDB Vecteur: 🔍
VulDB Fiabilité: 🔍

NVD Note de base: 8.8
NVD Vecteur: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VecteurComplexitéAuthentificationConfidentialitéIntégritéDisponibilité
ouvrirouvrirouvrirouvrirouvrirouvrir
ouvrirouvrirouvrirouvrirouvrirouvrir
ouvrirouvrirouvrirouvrirouvrirouvrir

VulDB Note de base: 🔍
VulDB Note temporaire: 🔍
VulDB Fiabilité: 🔍

NVD Note de base: 🔍

Exploitinginfo

Classe: Buffer overflow
CWE: CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Localement: Non
Remote: Oui

Disponibilité: 🔍
Statut: Non prouvée

EPSS Score: 🔍
EPSS Percentile: 🔍

Prédiction de prix: 🔍
Estimation actuelle des prix: 🔍

0-Dayouvrirouvrirouvrirouvrir
Aujourd'huiouvrirouvrirouvrirouvrir

Nessus ID: 81193
Nessus Nom: FreeBSD : PostgreSQL -- multiple buffer overflows and memory issues (3b40bf2c-ad83-11e4-a2b2-0026551a22dc)
Nessus Document: 🔍
Nessus Risque: 🔍
Nessus Family: 🔍

OpenVAS ID: 14611
OpenVAS Nom: Amazon Linux Local Check: ALAS-2015-503
OpenVAS Document: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Nom: 🔍

Renseignements sur les menacesinfo

Intérêt: 🔍
Acteurs actifs: 🔍
Groupes APT actifs: 🔍

Contre-mesuresinfo

Recommandé: Upgrade
Statut: 🔍

Heure 0 jour: 🔍

Upgrade: PostgreSQL 9.0.19/9.1.15/9.2.10/9.3.6/9.4.1

Chronologieinfo

18/11/2014 🔍
05/02/2015 +79 jours 🔍
05/02/2015 +0 jours 🔍
11/02/2015 +6 jours 🔍
11/02/2015 +0 jours 🔍
16/09/2015 +217 jours 🔍
17/09/2015 +1 jours 🔍
09/03/2022 +2365 jours 🔍

Sourcesinfo

Produit: postgresql.org

Bulletin: News ID 1569
Chercheur: Bruce Momjian
Statut: Confirmé

CVE: CVE-2015-0241 (🔍)
OVAL: 🔍

X-Force: 100777 - PostgreSQL to_char buffer overflow, Medium Risk
SecurityTracker: 1031742
Vulnerability Center: 52641 - PostgreSQL Remote Code Execution due to Processing a Crafted Timestamp Formatting Template, Medium
SecurityFocus: 72540 - PostgreSQL 'to_char()' Function Buffer Overflow Vulnerability

Entréeinfo

Établi: 11/02/2015 09:05
Mise à jour: 09/03/2022 02:26
Changements: 11/02/2015 09:05 (67), 23/12/2017 13:14 (8), 09/03/2022 02:11 (2), 09/03/2022 02:19 (18), 09/03/2022 02:26 (1)
Compléter: 🔍
Cache ID: 44:322:40

Discussion

Aucun commentaire pour l'instant. Langues: fr + en.

Veuillez vous connecter pour commenter.

Do you know our Splunk app?

Download it now for free!